function [foster]=MCrossOver(foster,FBD,Var,NumVar,PN,PC)

    tmp=rand(1,PN)<PC;
    TRCC=find(tmp==1);
    tmp=size(TRCC);
    
    for i=1:2:fix(tmp(2)/2) %Because each loop determine two Childs
    %---------------------------- Make parents from two separate chromosomes
        ic1=1;
        ic2=1;
        for j=1:NumVar
            Parent1(ic1:(ic1-1+Var(j).NumBits))=FBD(j).Var(TRCC(i),:);
            ic1=ic1+Var(j).NumBits;
            
            Parent2(ic2:(ic2-1+Var(j).NumBits))=FBD(j).Var(TRCC(i+1),:);
            ic2=ic2+Var(j).NumBits;
        end
        ChoL=size(Parent1);
	%---------------------------- Make random bit for Recombination    
        RBNC=1+fix((ChoL(2)-1)*rand(1,1));
	%---------------------------- Make new Child1          
        Child1=zeros(1,ChoL(2));
        Child1(1:RBNC)=Parent1(1:RBNC);
        Child1(RBNC:ChoL(2))=Parent2(RBNC:ChoL(2));
	%---------------------------- Make new Child2           
        Child2=zeros(1,ChoL(2));
        Child2(1:RBNC)=Parent2(1:RBNC);
        Child2(RBNC:ChoL(2))=Parent1(RBNC:ChoL(2));
	%---------------------------- Separate Childs to two variable x1 & x2        
        ic1=1;
        ic2=1;
        for j=1:NumVar
            X1(j).Var(1:Var(j).NumBits)=Child1(ic1:ic1-1+Var(j).NumBits);
            ic1=ic1+Var(j).NumBits;
	%----------------------------            
            X2(j).Var(1:Var(j).NumBits)=Child2(ic2:ic2-1+Var(j).NumBits);
            ic2=ic2+Var(j).NumBits;            
        end
        for j=1:NumVar
            foster(j,1,TRCC(i))=Bin2FloatCh(X1(j),Var(j));
            foster(j,1,TRCC(i+1))=Bin2FloatCh(X2(j),Var(j));
        end
        
	%--------------------------------------------
	end
